> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao Seed 2.0 - クイックスタート

> - OpenAI SDK形式でDoubao Seed 2.0シリーズモデルを呼び出し
- 同期処理モード、リアルタイムレスポンス
- 最小限のパラメータですぐに使い始められる
- 対応モデル：`doubao-seed-2.0-pro`、`doubao-seed-2.0-lite`、`doubao-seed-2.0-mini`、`doubao-seed-2.0-code`
- 💡 より多くの機能が必要ですか？[完全なAPIリファレンス](./doubao-seed-2.0-reference)をご覧ください

<Note>
  **BaseURL**：デフォルトの BaseURL は `https://direct.evolink.ai` で、テキストモデルへの対応が優れており、長時間接続をサポートします。`https://api.evolink.ai` はマルチモーダルの主力エンドポイントで、テキストモデルに対しては代替アドレスとして使用されます。
</Note>


## OpenAPI

````yaml ja/api-manual/language-series/doubao-seed-2.0/doubao-seed-2.0-quickstart.json POST /v1/chat/completions
openapi: 3.1.0
info:
  title: Doubao Seed 2.0 クイックスタート
  description: Doubao Seed 2.0 チャットインターフェースをすぐに使い始める、5分で最初のAIチャット呼び出しを完了
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://direct.evolink.ai
    description: 本番環境（推奨）
  - url: https://api.evolink.ai
    description: 代替 URL
security:
  - bearerAuth: []
tags:
  - name: チャット生成
    description: AIチャット生成関連API
paths:
  /v1/chat/completions:
    post:
      tags:
        - チャット生成
      summary: Doubao Seed 2.0 クイックチャット
      description: >-
        - OpenAI SDK形式でDoubao Seed 2.0シリーズモデルを呼び出し

        - 同期処理モード、リアルタイムレスポンス

        - 最小限のパラメータですぐに使い始められる

        -
        対応モデル：`doubao-seed-2.0-pro`、`doubao-seed-2.0-lite`、`doubao-seed-2.0-mini`、`doubao-seed-2.0-code`

        - 💡 より多くの機能が必要ですか？[完全なAPIリファレンス](./doubao-seed-2.0-reference)をご覧ください
      operationId: createChatCompletionQuickDoubaoSeed20
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatCompletionQuickRequest'
      responses:
        '200':
          description: チャット生成成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatCompletionResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 400
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 401
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 402
                  message: Insufficient quota
                  type: insufficient_quota_error
                  fallback_suggestion: https://evolink.ai/dashboard/billing
        '403':
          description: アクセス権限なし
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 403
                  message: Access denied for this model
                  type: permission_error
                  param: model
        '404':
          description: リソースが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 404
                  message: Specified model not found
                  type: not_found_error
                  param: model
                  fallback_suggestion: doubao-seed-2.0-pro
        '429':
          description: リクエスト頻度制限超過
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 429
                  message: Rate limit exceeded
                  type: rate_limit_error
                  fallback_suggestion: retry after 60 seconds
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 500
                  message: Internal server error
                  type: internal_server_error
                  fallback_suggestion: try again later
        '502':
          description: アップストリームサービスエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 502
                  message: Upstream AI service unavailable
                  type: upstream_error
                  fallback_suggestion: try different model
        '503':
          description: サービスが一時的に利用不可
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 503
                  message: Service temporarily unavailable
                  type: service_unavailable_error
                  fallback_suggestion: retry after 30 seconds
components:
  schemas:
    ChatCompletionQuickRequest:
      type: object
      required:
        - model
        - messages
      properties:
        model:
          type: string
          description: |-
            チャットモデル名

            - `doubao-seed-2.0-pro`: フラッグシップ版、総合能力最強、複雑な推論と高品質生成に最適
            - `doubao-seed-2.0-lite`: 軽量版、より高速、コストパフォーマンスが高い
            - `doubao-seed-2.0-mini`: 超高速版、レスポンス最速、シンプルなタスクに最適
            - `doubao-seed-2.0-code`: コード専用版、コード生成と理解に最適化
          enum:
            - doubao-seed-2.0-pro
            - doubao-seed-2.0-lite
            - doubao-seed-2.0-mini
            - doubao-seed-2.0-code
          default: doubao-seed-2.0-pro
          example: doubao-seed-2.0-pro
        messages:
          type: array
          description: チャットメッセージリスト
          items:
            $ref: '#/components/schemas/MessageSimple'
          minItems: 1
          example:
            - role: user
              content: こんにちは、Doubao Seed 2.0の新機能を紹介してください
    ChatCompletionResponse:
      type: object
      properties:
        id:
          type: string
          description: チャット完了の一意識別子
          example: 0217714854126607f5a9cf8ed5b018c76e4ad3dc2810db57ffb50
        model:
          type: string
          description: 実際に使用されたモデル名
          example: doubao-seed-2-0-pro-260215
        object:
          type: string
          enum:
            - chat.completion
          description: レスポンスタイプ
          example: chat.completion
        created:
          type: integer
          description: 作成タイムスタンプ
          example: 1771485416
        service_tier:
          type: string
          description: |-
            今回のリクエストのサービスティア

            - `default`: デフォルトサービスティア
            - `scale`: 保証パッケージ枠を使用
          enum:
            - default
            - scale
          example: default
        choices:
          type: array
          description: チャット生成の選択肢リスト
          items:
            $ref: '#/components/schemas/Choice'
        usage:
          $ref: '#/components/schemas/Usage'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
              description: HTTPステータスエラーコード
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ名
            fallback_suggestion:
              type: string
              description: エラー時の提案
    MessageSimple:
      type: object
      required:
        - role
        - content
      properties:
        role:
          type: string
          description: メッセージの役割
          enum:
            - user
        content:
          type: string
          description: メッセージの内容（テキスト）
    Choice:
      type: object
      properties:
        index:
          type: integer
          description: 選択肢のインデックス
          example: 0
        message:
          $ref: '#/components/schemas/AssistantMessage'
        finish_reason:
          type: string
          description: 完了理由
          enum:
            - stop
            - length
            - content_filter
          example: stop
        moderation_hit_type:
          type: string
          nullable: true
          description: |-
            モデル出力テキストにセンシティブな情報が含まれる場合、ヒットしたリスク分類ラベルを返します

            - `severe_violation`: モデル出力テキストが重大な違反に該当
            - `violence`: モデル出力テキストが過激な行為に該当
          enum:
            - severe_violation
            - violence
    Usage:
      type: object
      description: トークン使用統計情報
      properties:
        prompt_tokens:
          type: integer
          description: 入力コンテンツのトークン数
          example: 15
        completion_tokens:
          type: integer
          description: 出力コンテンツのトークン数
          example: 256
        total_tokens:
          type: integer
          description: 合計トークン数
          example: 271
        prompt_tokens_details:
          type: object
          description: 入力トークン詳細情報
          properties:
            cached_tokens:
              type: integer
              description: キャッシュにヒットしたトークン数
              example: 0
        completion_tokens_details:
          type: object
          description: 出力トークン詳細情報
          properties:
            reasoning_tokens:
              type: integer
              description: 推論/思考チェーンのトークン数
              example: 0
    AssistantMessage:
      type: object
      properties:
        role:
          type: string
          description: メッセージ送信者の役割
          enum:
            - assistant
          example: assistant
        content:
          type: string
          description: AIが返信したメッセージ内容
          example: >-
            こんにちは！Doubao Seed
            2.0はByteDanceが発表した次世代大規模言語モデルで、より強力な推論、マルチモーダル理解、深い思考能力を備えています...
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````